<template>
  <ul>
    <li v-for="(paymentMethod, index) in paymentMethods" :key="index">
      <img
        class="payment-type-logo"
        :class="paymentMethod.class"
        :src="paymentMethod.img"
        :alt="paymentMethod.name"
        height="35"
        width="35"
      />
    </li>
  </ul>
</template>

<script>
const paymentMethods = [
  'cb-mastercard',
  'cb-visa',
  'apple-pay',
  'paypal',
  'bancontact'
]

export default {
  name: 'PaymentMethods',

  computed: {
    paymentMethods() {
      return paymentMethods.map((v) => ({
        name: v,
        img: require(`~/assets/images/logo-${v}.svg`),
        class: `logo-${v}`
      }))
    }
  }
}
</script>

<style lang="scss" scoped>
ul {
  display: flex;
  align-items: center;
}

li {
  position: relative;
  padding-right: 15px;

  &:last-child {
    padding-right: 0;
  }

  img.payment-type-logo {
    width: 35px;
    min-width: 35px;

    &.logo-cb-mastercard,
    &.logo-cb-visa {
      width: 40px;
      min-width: 40px;
    }

    &.logo-apple-pay {
      background-color: #ffffff;
    }
  }
}
</style>
